beklemmend  oppressive
greifbar  tangible
#anf�hlten  NOT FOUND
etwas_glich  something was like
mildern  to mellow
die_Steinplatte,_-n  stone slab
der_Anschein  seem, semblance
der_Knauf,_-�e  butt, pommel, stud
schlurfen  to scuffle, shuffle
die_Arme_in_die_Seiten_stemmen  to put one's hands on one's hips
geheimnisumwittert  shrouded in mystery
vermitteln  to convey, impart
die_Annahme,_-n  assumption, theory
der_Zeitraum,_-�e  period of time
der_Frieden  peace
schniefen  to sniff, sniffle
bezeichnend  denoted, distinctively
hochgewachsen  tall (person)
Dichter  poet
s�ffisant  smugly
umgekehrt  reverse
